This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 541055 - Anaconda "Select language" screen is not available from F12 KDE LiveMedia
Anaconda "Select language" screen is not available from F12 KDE LiveMedia
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
19
All Linux
high Severity high
: ---
: ---
Assigned To: Sebastian Vahl
Fedora Extras Quality Assurance
: i18n, Reopened, Triaged
: 651065 (view as bug list)
Depends On:
Blocks: F13Target
  Show dependency treegraph
 
Reported: 2009-11-24 15:37 EST by Christian Gonzalez
Modified: 2013-07-23 07:29 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 07:29:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christian Gonzalez 2009-11-24 15:37:14 EST
Description of problem:
When installing from F12 KDE LiveMedia (using desktop icon launcher), the spected "Select language" screen is not available so I can't select the installation language and I'm forced to use English.

Version-Release number of selected component (if applicable):
anaconda-12.46-1.fc12.i686 from Fedora 12 KDE LiveMedia

How reproducible:
Always.

Steps to Reproduce:
1. Start Anaconda (click on "Install to Hard Drive" icon or run "liveinst" from Konsole).
2. "Select language" screen is not available.
  
Actual results:
Anaconda doesn't show "Select language" screen and start installation in English.

Expected results:
Anaconda shows a "Select language" screen, so I can choose installation language.

Additional info:
If I use "liveinst --lang=es" from Konsole, installation shows in Spanish, so Anaconda IS translated. Besides, this problem isn't present when installing from DVD.
I haven't tested it on F12 Gnome Live Media.
Comment 1 Chris Lumens 2009-11-24 15:46:32 EST
The live installer uses the language that the live environment runs in.  If you want to do an install in a non-English language, you either need to select the appropriate language from kdm/gdm/whatever, or use whatever other configuration options are provided by the live environment's desktop.
Comment 2 Christian Gonzalez 2009-11-24 16:27:51 EST
So we need one different Live CD for EVERY language Fedora support?

Fedora KDE Live Media doesn't include translations (due to space constrains). KDM doesn't offer "Change language" option. Are Fedora KDE users forced to use English installations, even with a translated Anaconda?
Comment 3 Chris Lumens 2009-11-24 16:37:16 EST
> So we need one different Live CD for EVERY language Fedora support?

No.

> Fedora KDE Live Media doesn't include translations (due to space constrains).
> KDM doesn't offer "Change language" option. Are Fedora KDE users forced to use
> English installations, even with a translated Anaconda?  

Surely KDE includes some mechanism for changing the language, and surely the live environment includes this tool.  Otherwise, you're marketing the KDE live CD at English speakers only, and it's not usable by anyone else.  And if this is the case, you need to fix that.  Then anaconda will act like any other program in the live environment and use the language that was previously set by the user.
Comment 4 Kevin Kofler 2009-11-24 17:26:42 EST
The KDE spin as is is only usable in English, any translations need to be downloaded post-install. So liveinst should prompt for the language like the DVD's Anaconda does.
Comment 5 Kevin Kofler 2009-11-24 17:30:34 EST
It's impossible to ship all kde-l10n-* on a CD, they don't even fit on a DVD!
Comment 6 Chris Lumens 2009-11-24 19:21:12 EST
This needs to be fixed on your livecd.  Other livecd environments have no trouble with this, and anaconda's not going to start growing warts for dealing with specific livecd quirks.  That's a maintainence and documentation nightmare.
Comment 7 Kevin Kofler 2009-11-24 19:58:10 EST
We'll need to wrap liveinst with a kdialog --menu based script then. :-/ (But it sucks because we have to duplicate Anaconda's list of supported languages or extract it somehow. It would be much easier for liveinst to just show the language selection, defaulting to the system language.)
Comment 8 Bug Zapper 2010-11-04 01:28:23 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Christian Gonzalez 2010-11-04 07:44:37 EDT
I've changed Fedora version to 14.

As a spanish-speaking user, I'm really sad that this issue is still present after two major releases. Right now I'm forced to use "liveinst --lang=es" to install in Spanish, but most user don't even know about this option.

Could we please find any solution? Can Anaconda just be modified to show "Select Language" screen only in Fedora KDE Live Media? Or can we create this kdialog wrapper that Kevin is talking about? This is really an important bug, IMHO this is a blocker for future Fedora releases.
Comment 10 Oliver Henshaw 2010-11-06 11:06:09 EDT
I played around a bit in the f14 kde livecd and found that I can change the system language with system-config-language ("Language" in the kde menu) and some packagekit/yum magic will install the relevant langpacks for kde. Then everything, including anaconda, is in the new language after a login/logout. Even if there is no network then most/all non-kde apps (including anaconda) will use the new language - since its only kde that has a separate langpack.

So, while it isn't ideal, at least there is a way to get your language in the installer from the kde live image, even without a network connection.

Two ways to make things easier spring to mind:

* Short term - A very simple wrapper script in the kde spin that runs system-config-language and then runs live-inst.sh, making sure that the new LANG is in the environment.

* Long term - A language + keyboard chooser on the kdm login screen, just like gdm has.


Note: I am a native english speaker, and my principle interest in this is envy of gdm's ability to select a british keyboard layout. So I apologise if I've missed any aspect of the non-english-language experience that makes things harder than I've outlined.
Comment 11 Oliver Henshaw 2010-11-06 11:15:58 EDT
Also the reason that gdm can offer a keyboard/language selection is that the autologin doesn't go immediately but rather after a short delay (with a visualisation) that is interrupted by interaction with the login screen.
Comment 12 Chris Lumens 2010-11-08 13:45:10 EST
*** Bug 651065 has been marked as a duplicate of this bug. ***
Comment 13 Chris Lumens 2010-11-08 14:19:36 EST
*** Bug 651065 has been marked as a duplicate of this bug. ***
Comment 14 Simon Lewis 2010-11-10 13:22:20 EST
Should anyone (whose native language is not English) land here after installing Fedora 14 from a live CD only to find there is no language option in anaconda, then this how I changed the language settings, in this case to German-German.

1) open a terminal such as konsole and type;

su

   followed by the root password when prompted.

2) To find out which languages are supported enter the command;

yum grouplist *-support

3) To install the german support enter the command;

yum groupinstall "German Support"

   for British English the command is 

yum groupinstall "English (UK) Support"

4) then enter the commands;

localedef -i de_DE -f UTF-8 de_DE.UTF-8
export LC_ALL=de_DE.UTF-8
export LANG=de_DE.UTF-8

   adjust de-DE to the language-region required

5) finally check that all is OK with the command;

locale

   on my machine the output looks like:

LANG=de_DE.UTF-8
LC_CTYPE="de_DE.UTF-8"
LC_NUMERIC="de_DE.UTF-8"
LC_TIME="de_DE.UTF-8"
LC_COLLATE="de_DE.UTF-8"
LC_MONETARY="de_DE.UTF-8"
LC_MESSAGES="de_DE.UTF-8"
LC_PAPER="de_DE.UTF-8"
LC_NAME="de_DE.UTF-8"
LC_ADDRESS="de_DE.UTF-8"
LC_TELEPHONE="de_DE.UTF-8"
LC_MEASUREMENT="de_DE.UTF-8"
LC_IDENTIFICATION="de_DE.UTF-8"
LC_ALL=de_DE.UTF-8

6) To leave the terminal type;

exit.

7) Next open an editor with root rights, e.g.

kdesu kwrite

8) Open the file /etc/sysconfig/i18n and add the following 2 lines before the SYSFONT entry

LANG="de_DE.UTF-8"
LC_ALL="de_DE.UTF-8"

   save and close the file but not the editor - still need this!

9) Open the file  /boot/grub/grub.conf and replace;

LANG=en_US.UTF-8 

  with 

LANG=de_DE.UTF-8

 adjust de-DE to the language-region required

 Save the file and close the editor

10) Now reboot the computer to make all the changes take effect...
Comment 15 Oliver Henshaw 2010-11-10 14:05:05 EST
Doesn't system-config-language do all of this? If there's any step from comment #14 that system-config-language doesn't do, that might be a bug.

I've just noticed that the (gnome) desktop livecd doesn't include s-c-language thought the kde one does. So the steps to change your language might be more like:

0) Install system-config-language with yum or packagekit, if it's not already installed.
1) Run system-config-language. You can do this from a terminal or from the desktop menu.
2) Select your language.
3) Confirm when it asks to find and install extra packages for your language.
4) It might be enough to log out and log in again to make the changes take effect.


Simon, can you confirm that these steps would work for you?
Comment 16 Simon Lewis 2010-11-10 16:12:08 EST
(In reply to comment #15)

Hello Oliver

I can confirm that the package system-config-language is installed from Fedora-14-x86_64-Live-KDE.iso

The program appears to run normally from the terminal asking for the root password on start.

I looked in the src-rpm package on http://koji.fedoraproject.org/koji/packages and noticed that there is a desktop entry but this entry does not show up in the KDE Menu or the KDE Menu autosearch function.

For non-experienced users this would be great if the desktop entry would show up in the KDE menu...

Many thanks, Simon

Konsole output:

bash-4.1$ su
Passwort: 
[root@hp550-01 simon]# yum list system-config-language
Geladene Plugins: langpacks, presto, refresh-packagekit
Adding de_DE to language list
Installierte Pakete
system-config-language.noarch                     1.3.5-4.fc14                      @fedora/$releasever
[root@hp550-01 simon]# exit
bash-4.1$ system-config-language
Geladene Plugins: langpacks, presto, refresh-packagekit
Adding de_DE to language list
Paket man-pages-de-0.5-4.fc14.noarch ist bereits in der neusten Version installiert.
Paket mythes-de-0.20090708-4.fc14.noarch ist bereits in der neusten Version installiert.
Paket kde-l10n-German-4.5.2-1.fc14.noarch ist bereits in der neusten Version installiert.
Paket hunspell-de-0.20091006-1.fc13.noarch ist bereits in der neusten Version installiert.
Paket hyphen-de-0.20060120-6.fc12.noarch ist bereits in der neusten Version installiert.
Paket 1:autocorr-de-3.3.0-13.3.fc14.noarch ist bereits in der neusten Version installiert.
Paket 1:openoffice.org-langpack-de-3.3.0-13.3.fc14.x86_64 ist bereits in der neusten Version installiert.
Paket 2:koffice-langpack-de-2.2.2-1.fc14.noarch ist bereits in der neusten Version installiert.
bash-4.1$
Comment 17 Oliver Henshaw 2010-11-10 16:51:07 EST
Are you sure it's not in the menus? I found it by typing "Language" (or "Sprache" for de, according to the .desktop file) in the search box, and can also find it by looking in the system settings menu category.
Comment 18 Simon Lewis 2010-11-11 14:09:20 EST
(In reply to comment #17)
> Are you sure it's not in the menus? I found it by typing "Language" (or
> "Sprache" for de, according to the .desktop file) in the search box, and can
> also find it by looking in the system settings menu category.

Spank me with a wet fish - I was forgetting that the serach box was context sensitive. Yes, language and Sprache do indeed find the menu entry "Sprache"... Strangely, entering the command name system-config-language in the search box does not.

Also, the program entry can be found under the menu category Adminstration but not under the categories Einstellung (Settings) or System where I was expecting it to be... But then the contents of Adminstration, Einstellung and System are never what you expect them to be on a German Linux.

Thanks for all the tips...
Comment 19 Richard Z. 2010-11-26 18:06:55 EST
with a live KDE F14 image I have no way to switch keyboard maps (not from desktop anyway) - is this considered the same bug? Even if translations don't work keymaps might still work?
Comment 20 Simon Lewis 2010-12-18 03:49:58 EST
(In reply to comment #19)
> with a live KDE F14 image I have no way to switch keyboard maps (not from
> desktop anyway) - is this considered the same bug? Even if translations don't
> work keymaps might still work?

My main concern was the installation on a hard disk from a live media. The installed system was in (American) English. It would have been nice if the installer tested whether a network connection was available and pulled in the language support should the user want his installation in another language than English.

Best regards, Simon
Comment 21 Christian Gonzalez 2011-07-07 10:54:05 EDT
This problem is still present in Fedora 15. Please, please, could we find some kind of solution?
Comment 22 Christian Gonzalez 2012-01-24 09:31:56 EST
We are in Fedora 16 and Fedora 17 is on the way, still this bug is present. Is there any real interest in fix it? Or are we (non-english speakers) second-citizens in Fedora, as some people have said?
Comment 23 Bartosz Wierucki 2012-05-03 05:06:04 EDT
When I install Fedora from the KDE Live media, I simply have to do three things to have the system fully localised (Polish):

1. Boot KDE Live media and start installing Fedora by runing Konsole and entering the following command:
export LANG=pl_PL.UTF-8; /usr/bin/liveinst

2. Boot the newly installed system and add missing language support:
yum groupinstall polish-support

3. Choose Polish as the preferred language from Available languages in KDE's System settings (Country/Region and Language).

I think this method applies to other languages respectively.

Nevertheless this bug is still present in Fedora 17 Beta version of KDE Live and it is irritating for non-English speakers. :-(
Comment 24 Karel Volný 2012-06-19 04:42:55 EDT
(In reply to comment #7)
> We'll need to wrap liveinst with a kdialog --menu based script then. :-/

Kevin, why don't you do this?(*)

it seems Anaconda is not going to do anything about this, and we are getting more and more complaints from the users ...

(*) I mean ... is there any technical reason? (any other reason than lack of developer time?)
Comment 25 Marcos Mello 2012-08-28 08:30:50 EDT
Please get this fixed in Fedora 18. It's really bad for non-English speakers! We are stuck with english-only installs for six releases...
Comment 26 Fedora End Of Life 2013-07-04 02:38:49 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 27 Karel Volný 2013-07-23 07:29:09 EDT
seems this got fixed in Fedora 19

I've just run Fedora-Live-KDE-x86_64-19-1.iso and after clicking the install icon, the language selection was the first thing I got

Note You need to log in before you can comment on or make changes to this bug.